Bug 47009 - Lost of name's controller when insert a parent with same controller type
Lost of name's controller when insert a parent with same controller type
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: Main
2.3.2
PC Linux
: P2 normal (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2009-04-09 08:27 UTC by Milamber
Modified: 2009-04-23 16:19 UTC (History)
1 user (show)



Attachments
Proposal patch (871 bytes, patch)
2009-04-18 06:01 UTC, Milamber
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Milamber 2009-04-09 08:27:54 UTC
For example, this test plan :

* Test plan
** Thread Group
*** MY CONTROLLER LABEL (type Transaction Controller)

I select MY CONTROLLER LABEL, right click, Insert Parent > Logic Controller > Transaction Controller.
(the same type of MY CONTROLLER LABEL)

Result :
* Test plan
** Thread Group
*** Transaction Controller
**** Transaction Controller (Lost name : MY CONTROLLER LABEL)

The problem appear only for two controller of same type.
If MY CONTROLLER LABEL are TC and I try to insert a Simple Controller Parent, there aren't problem, I don't lost name.

(on JMeter 2.3.2 and JMeter last svn release)
Comment 1 Milamber 2009-04-18 06:01:50 UTC
Created attachment 23509 [details]
Proposal patch


In org.apache.jmeter.gui.action.AddParent, the TreeModel isn't marked for update.
Comment 2 Sebb 2009-04-23 16:19:02 UTC
Thanks very much for the patch.

Applied to SVN:

URL: http://svn.apache.org/viewvc?rev=768089&view=rev
Log:
Bug 47009 - Insert parent caused child controller name to be reset